%undefine __libtoolize
%define qtdir /usr/lib/qt3
%define kdedir %prefix
%define objprelink 0
%define beta pre2

Name: mosfet-liquid
Version: 0.9.6
Release: alt1.pre2

Group: Graphical desktop/KDE
Summary: High perfomance liquid theme for KDE
License: GPL
URL: http://www.mosfet.org/liquid.html

Requires: %{get_dep kdelibs}
Requires: kdelibs-gcc_compiled = %__gcc_version_base
Obsoletes: mosfet-liquid3

Source: mosfet-liquid%version-%beta.tar.bz2
#Source1: Liquid-0.1.kcsrc
Patch1: mosfet-liquid0.9.6pre1-libtool.patch

# Automatically added by buildreq on Wed Dec 05 2001
BuildRequires: freetype2 gcc-c++ kde-common kdelibs-devel kdebase-devel >= 3.0
BuildRequires: libjpeg-devel liblcms libmng libpng-devel
BuildRequires: libqt3-devel libstdc++-devel libart_lgpl-devel
BuildRequires: XFree86-devel XFree86-libs zlib-devel
%if %objprelink
BuildRequires: objprelink
%endif

%description
Future Technologies High Performance Liquid KDE style engine
Features:
 * Translucent Menus.
 * Colors are fully configurable. This is really cool with
   this style. It also handles custom colors like KCalc's
   correctly. Check out the screenshots below.
 * High performance. No scaling is required, and caching
   (thus memory usage) is kept to a minimum. We wanted
   to create a style engine that both looked cool and
   is usable on an everyday basis by people doing stuff
   like compiling all day.
 * Mouse Hover is supported for Pushbuttons, ComboBoxes,
   RadioButtons, CheckBoxes, and ScrollBars. This doesn't
   use the crappy "draw a box around the widget" mouse hover,
   either, but makes the widget appear to light up.
 * Automagically themes the KDE panel, according
   to the color scheme.

%prep
%setup -q -n mosfet-liquid%version%beta
%patch1 -p1

#[ -f Makefile.cvs ] && make -f Makefile.cvs

%build
export QTDIR=%qtdir KDEDIR=%kdedir
%configure --disable-rpath --disable-debug --enable-final

%if %objprelink
%make_build CXX=g++prelink
%else
%make_build
%endif

%install
export PATH=%_bindir:$PATH

#make DESTDIR=$RPM_BUILD_ROOT install
%make_build \
    DESTDIR=%buildroot \
    prefix=%prefix \
    exec_prefix=%prefix \
install

#install -m 644 %SOURCE1 %buildroot/%_datadir/apps/kdisplay/color-schemes/Liquid_Blue.kcsrc
#perl -pi -e 's|^Name=.*|Name=Liquid Blue|'  %buildroot/%_datadir/apps/kdisplay/color-schemes/Liquid_Blue.kcsrc

mkdir -p %buildroot%_menudir
kdedesktop2mdkmenu.pl %name Configuration/KDE/LookNFeel %buildroot/%_datadir/applnk/Settings/LookNFeel/liquid.desktop %buildroot/%_menudir/%name kde
#rm -rf %buildroot/%_datadir/applnk

#cd %buildroot
#find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' > $RPM_BUILD_DIR/file.list.liquid
#find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.liquid

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

#%%files -f ../file.list.liquid
%files
%_menudir/*
%_libdir/*.la
%_libdir/*.so
%_libdir/kde3/*.la
%_libdir/kde3/*.so
%_libdir/kde3/plugins
%_datadir/applnk/Settings/LookNFeel/*.desktop
%dir %_datadir/apps/kdisplay/color-schemes/
%_datadir/apps/kdisplay/color-schemes/*.kcsrc
%_datadir/apps/kstyle/themes/*.themerc
%dir %_datadir/apps/kwin/
%_datadir/apps/kwin/*.desktop

%changelog
* Thu Jan 23 2003 Sergey V Turchin <zerg@altlinux.ru> 0.9.6-alt1.pre2
- new version

* Fri Nov 29 2002 Sergey V Turchin <zerg@altlinux.ru> 0.9.6-alt2.pre1
- add changelog :)

* Thu Sep 12 2002 Sergey V Turchin <zerg@altlinux.ru> 0.9.5-alt3
- rebuild with gcc3.2

* Tue Aug 06 2002 Sergey V Turchin <zerg@altlinux.ru> 0.9.5-alt2
- rebuild

* Thu May 16 2002 ZerG <zerg@altlinux.ru> 0.9.5-alt1
- new version
- add Liquid-Blue color theme

* Thu Apr 25 2002 Sergey V Turchin <zerg@altlinux.ru> 0.9.4-alt2
- move to /usr

* Tue Apr 16 2002 Sergey V Turchin <zerg@altlinux.ru> 0.9.4-alt1
- new version

* Wed Dec 05 2001 Sergey V Turchin <zerg@altlinux.ru> 0.7-alt1
- new version

* Mon Oct 29 2001 Sergey V Turchin <zerg@altlinux.ru> 0.6-alt1
- new version

* Wed Sep 05 2001 Sergey V Turchin <zerg@altlinux.ru> 0.5.1-alt3
- fix requires

* Tue Sep 04 2001 Sergey V Turchin <zerg@altlinux.ru> 0.5.1-alt2
- cleanup spec

* Mon Sep 03 2001   <reaper@falt.deep.ru>
- Initial release for Sisyphus
